// Скрипт для зачётного класса  
// Задания

// Постановки задач
var SetTasks = new Array(
'Какие части компьютера предназначены для ввода текстов или рисунков? Установите нужные флажки и нажмите кнопку&nbsp;<EM>Проверить</EM>.',
'Какие части компьютера предназначены для вывода текстов или рисунков?',
'Отметьте устройства ввода компьютера.',
'Отметьте устройства вывода компьютера.',
'Какая часть компьютера содержит процессор и устройство хранения информации?',
'Какие правила надо обязательно соблюдать при работе за компьютером?',
'Отметьте то, что является экранным объектом.'
                     );





// Комментарии для учителя
var CommentTask = new Array(
'Клавиатура и сканер. Мышь тоже устройство ввода, но это устройство для ввода '+ 
 'управляющих воздействий на экранные объекты. Ввести непосредственно через мышь '+ 
 'текст или рисунок нельзя (у мыши нет буквенных клавиш и нет сканирующего устройства). '+
 '<P> При помощи мыши можно конструировать экранные объекты: текст при помощи '+ 
 'экранной клавиатуры, рисунок в окне графического редактора. Таким образом мышь '+ 
 'принимает участие в формировании текста и рисунков из заранее заготовленных на '+ 
 'экране элементов (букв и графических примитивов). Эти тексты и рисунки <EM>не '+ 
 'вводятся</EM> в компьютер через мышь, они <EM>создаются</EM> на экране посредством мыши. '+
 '<P> Термин <EM>создаются</EM> означает, что новая информация (текст или рисунок) '+
 'появляется в результате обработки входной информации алгоритмами тех приложений, '+ 
 'с которыми пользователь взаимодействует через мышь (с виртуальной клавиатурой или графическим редактором).',
'Монитор и принтер.',
'Устройство ввода/вывода является устройством ввода.',
'Устройство ввода/вывода является устройством вывода.',
'Системный блок.',
'Почистить зубы и хорошо выспаться перед тем как сесть за компьютер, конечно, не помешает, но эти пожелания не являются обязательными.',
'Экранный объект должен быть расположен на самом экране.'
                     );



// Варианты
var Variants = new Array(
  new Array(
'системный блок',
'монитор',
'клавиатура',
'мышь',
'принтер',
'сканер'
          ),

  new Array(
'системный блок',
'монитор',
'клавиатура',
'мышь',
'принтер',
'сканер'
           ),

  new Array(
'модем',
'флешка',
'монитор',
'клавиатура',
'мышь',
'принтер',
'телефон',
'сканер',
'микрофон',
'наушники',
'джойстик',
'видеокамера',
'станок'
           ),

  new Array(
'модем',
'флешка',
'монитор',
'клавиатура',
'мышь',
'принтер',
'телефон',
'сканер',
'микрофон',
'наушники',
'джойстик',
'видеокамера',
'станок'
           ),

  new Array(
'системный блок',
'монитор',
'клавиатура',
'мышь'
           ),

  new Array(
'не трогать провода',
'почистить зубы',
'мягко нажимать на клавиши',
'перед работой поспать не менее часа'
           ),

  new Array(
'кнопка включения монитора',
'кнопка на экране монитора',
'флажок на экране монитора',
'фирменный значок на лицевой панели монитора',
'рисунок на экране монитора'
           )
                        );

// Ответы
var Answers =  new Array(
  new Array( // 1
false,
false,
true,
false,
false,
true
           ),

  new Array( // 2
false,
true,
false,
false,
true,
false
           ),

  new Array( // 3
true,
true,
false,
true,
true,
false,
true,
true,
true,
false,
true,
true,
true
           ),

  new Array( // 4
true,
true,
true,
false,
false,
true,
true,
false,
false,
true,
false,
false,
true
           ),

  new Array( // 5
true,
false,
false,
false
           ),

  new Array( // 6
true,
false,
true,
false
           ),

  new Array( // 7
false,
true,
true,
false,
true
           )
               );



//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=../pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'../pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'../pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'../pic/clear.gif\'">';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
  {
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);
    if(teach) str += "<P><SPAN class=mark>Комментарий. </SPAN>"+CommentTask[i]+"</P>";
    
  }
  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=../pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'../pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'../pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'../pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length, document.forms["exam"]);
  //room = new CheckTasks(SetTasks.length,exam);
}
